#!/usr/bin/env python
# _*_ coding: iso-8859-15 _*_

from distutils.core import setup
import py2exe
import os, shutil

dist_dir = "install_client_scribe"
if os.path.exists(dist_dir):
    shutil.rmtree(dist_dir)

if os.path.exists("build"):
    shutil.rmtree("build")

opts = {"py2exe": {
                   "dist_dir": dist_dir,
                   "packages":["encodings",],
                   "optimize":2,
}}

setup(name="Install Client Scribe",
      options=opts,
      version="1.0",
      description="",
      author="Eole",
      author_email="eole@ac-dijon.fr",
      url="http://eole.orion.education.fr/diffusion",
      windows=[{
          "script":'CliScribe-install.py',
          "icon_resources":[(1, "eole.ico")]
          }],
      data_files=[("", []),("",
                   ["banniere.jpg", "eole.ico", "gdiplus.dll", "msvcp71.dll"])] #gdiplus.dll est ncessaire depuis wxpython-2.7
)
