# _*_ coding: iso-8859-1 _*_
#!/usr/bin/env python

from twisted.spread import pb
from twisted.internet import threads, reactor

import win32api as wa

import _winreg, os, time

##from killProcName import killProcName, isrunning
from process import killProcName, isrunning
from lecteur import map, unmap
from reg import get_option


class servFactory(pb.PBServerFactory):
    def buildProtocol(self, addr):
        #il s'agit d'une liste, il faut faire un "eval"
        ip_list = eval(get_option(r'Software\Eole\Scribe', 'ip_access_list'))
        if str(addr.host) not in ip_list: return None
        return pb.PBServerFactory.buildProtocol(self, addr)

class Echoer(pb.Root):
    def remote_restart_explorer(self):
        """redemarre explorer.exe
        sous XP un kill provoque (en principe) une relance automatique
        """
##        try:
        if 1:
            if isrunning('explorer.exe'):
                killProcName('explorer.exe')
                time.sleep(3)
                if not isrunning('explorer.exe'):
                    wa.WinExec('explorer.exe')
##        except Exception, e:
##            self.llog('%s %s'%(5, e))
##            pass
        return True
    
    def remote_mount_devoir(self): #, partage):
        """Monte le partage \\scribe\perso\devoirs
        cre perso\devoirs s'il n'existe pas
        """
        user = wa.GetUserName()
        partage = r'\\%s\perso\devoirs'%get_option(r'Software\Eole\Scribe', 'nom_scribe')
        if not os.path.exists(partage): os.makedirs(partage)
        map('Y:', partage)
        return True

    def remote_umount_devoir(self): #, partage):
        """demonte Y:
        """
        return unmap('Y:')
    
    def mbox(self):
        gmessage(self.gmessage, "Gestion d'ouverture de sessions")

def lance():
    port = int(get_option(r'Software\Eole\Scribe', 'port_utilisateur'))
    fac = servFactory(Echoer())
    reactor.listenTCP(port, fac)

def main():
    lance()
    reactor.run()
    
if __name__ == '__main__':
    main()
